(learning)=
# Learning

## Getting started

Start here to get acquainted with the core concepts of Bayesian analysis and PyMC. The following resources only assume a very basic knowledge of code and statistics.

### {octicon}`book;1em;sd-text-info` Introductory books

#### Bayesian Methods for Hackers

By Cameron Davidson-Pilon

The "hacker" in the title  means learn-as-you-code. This hands-on introduction teaches intuitive definitions of the Bayesian approach to statistics, worklflow and decision-making by applying them using PyMC.

[Github repo](https://github.com/CamDavidsonPilon/Probabilistic-Programming-and-Bayesian-Methods-for-Hackers)

[Project homepage](http://camdavidsonpilon.github.io/Probabilistic-Programming-and-Bayesian-Methods-for-Hackers/)

#### Bayesian Analysis with Python

By Osvaldo Martin

A great introductory book written by a maintainer of PyMC. It provides a hands-on introduction to the main concepts of Bayesian statistics using synthetic and real data sets. Mastering the concepts in this book is a great foundation to pursue more advanced knowledge.

[Book website](https://www.packtpub.com/big-data-and-business-intelligence/bayesian-analysis-python-second-edition)

[Code and errata in PyMC](https://github.com/aloctavodia/BAP)

### {octicon}`mortar-board;1em;sd-text-info` Tutorial notebooks

#### Getting started
The {ref}`pymc_overview` notebook in our documentation shows the PyMC 4.0 code in action

#### General Linear Models: Linear regression

The {ref}`GLM_linear` notebook provides a gentle introduction to Bayesian linear regression and how it differs from the frequentist approach, and showcases how to implement it using PyMC.

#### Comparing models

The {ref}`model_comparison` notebook demonstrates the use of model comparison criteria in PyMC.

#### Validating a model using prior and posterior predictive checks

The {ref}`posterior_predictive` notebooks explains what prior and posterior predictive checks are and how to implement them in PyMC to validate your model.

### {octicon}`list-unordered;1em;sd-text-info` Glossary

PyMC's own {doc}`glossary` defines many core terms and provides useful references.

---

## Using PyMC

(the path in pymc-examples repo excluding the `examples` folder, or using manual anchors if we decide to create them).

::::{grid} 2
:gutter: 4

:::{grid-item-card} TODO


TODO
:::

::::

---
## Diving deeper

Links to intermediate notebooks. {doc}`More about step 3... <learn/step3>`


:::{toctree}
:hidden:

learn/examples
learn/books
learn/videos_and_podcasts
glossary
:::
